<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JavaScript HW 4 /optional part/</title>
</head>
<body>
<script>
// ====================================================================================================
    function createNewUser(firstName, lastName) {
      return {
        firstName,
        lastName,
        getLogin: function() {
        return this.firstName.toLowerCase()[0] + this.lastName.toLowerCase();
        },
      }
    }

    function nameChecker (namePart) {
        while (!isNaN(namePart) || namePart === "null") {
            namePart = prompt("Please, retry with a correct data!", namePart);
        }
        return (namePart);
    }
// ====================================================================================================

    let newUser = createNewUser();

    Object.defineProperty(newUser, "firstName", {
      set(userFirstName) {
        userFirstName = prompt("Please, enter your first name below:", "");
        firstName = nameChecker(userFirstName);
      },
      get() {
        return firstName;
      }
    });

    Object.defineProperty(newUser, "lastName", {
        set(userLastName) {
            userLastName = prompt("Please, enter your last name below:", "");
            lastName = nameChecker(userLastName);
        },
        get() {
            return lastName;
        }
    });

    newUser.firstName = "Johnny";
    newUser.lastName = "Mnemonic";

    console.log(newUser.firstName);
    console.log(newUser.lastName);
    console.log(newUser);
    console.log(newUser.getLogin());

</script>


</body>
</html>